This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1088142 - (CVE-2014-0190) CVE-2014-0190 qt: NULL pointer dereference flaw in QGIFFormat::fillRect
CVE-2014-0190 qt: NULL pointer dereference flaw in QGIFFormat::fillRect
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140414,reported=2...
: Security
Depends On: 1091774 1092836 1092837
Blocks: 1088149
  Show dependency treegraph
 
Reported: 2014-04-16 02:53 EDT by Murray McAllister
Modified: 2016-03-04 05:50 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-04-16 02:53:02 EDT
A NULL pointer dereference flaw was found in QGIFFormat::fillRect. If an application using the qt-x11 libraries opened a malicious GIF file, it could cause the application to crash.

Upstream bug: https://bugs.kde.org/show_bug.cgi?id=333404
Comment 4 Murray McAllister 2014-04-27 21:57:18 EDT
Public now. Upstream notification and fix:

http://lists.qt-project.org/pipermail/announce/2014-April/000045.html
Comment 5 Murray McAllister 2014-04-27 22:03:16 EDT
Created qt tracking bugs for this issue:

Affects: fedora-all [bug 1091774]
Comment 6 Yaakov Selkowitz 2014-04-28 19:54:19 EDT
Doesn't this also affect mingw-qt and mingw-qt5-qtbase?
Comment 7 Murray McAllister 2014-04-30 00:56:12 EDT
Created mingw-qt tracking bugs for this issue:

Affects: fedora-all [bug 1092836]
Comment 8 Murray McAllister 2014-04-30 00:56:17 EDT
Created mingw-qt5-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 1092837]
Comment 9 Murray McAllister 2014-04-30 00:56:58 EDT
(In reply to Yaakov (Cygwin Ports) from comment #6)
> Doesn't this also affect mingw-qt and mingw-qt5-qtbase?

Looks like it does. Thank you for pointing that out!
Comment 10 Fedora Update System 2014-05-01 18:22:46 EDT
qt-4.8.6-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-05-23 14:59:39 EDT
qt-4.8.6-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Murray McAllister 2014-06-11 01:13:14 EDT
As pointed out in <https://bugs.mageia.org/show_bug.cgi?id=13509> qt3 in Fedora was also affected (updates have been released already for Fedora 19 and 20).
Comment 15 Siddharth Sharma 2014-08-27 12:27:32 EDT
Explanation:

Malformed gif image file causes affected version of Qt or the applications 
using it to crash. Qt uses its gif plugin to open images having .gif as file 
extension, as the gif image is malformed plugin cannot parse the contents of   
the file properly and tries to create image which causes NULL pointer dereference.
Comment 16 Siddharth Sharma 2014-08-27 12:33:05 EDT
Statement:

This issue affects the versions of qt4 as shipped with Red Hat Enterprise Linux 5 , qt3 as shipped with Red Hat Enterprise Linux 6 and 7 and qt as shipped with Red Hat Enterprise Linux 5, 6 and 7. Red Hat Product Security has rated this issue as having Low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.